<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LawyerAiInteractionLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LawyerAiInteractionLog">
        <id column="id" property="id" />
        <result column="client_user_id" property="clientUserId" />
        <result column="conversation_id" property="conversationId" />
        <result column="query_text" property="queryText" />
        <result column="response_text" property="responseText" />
        <result column="problem_scenario_id" property="problemScenarioId" />
        <result column="interaction_time" property="interactionTime" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="scene_id" property="sceneId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, client_user_id, conversation_id, query_text, response_text, problem_scenario_id,
        interaction_time, delete_flag, created_time, created_user_id, updated_time, updated_user_id, scene_id
    </sql>

</mapper>

